<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<form name="form" ng-submit="submit()" class="form-horizontal">
    <div class="box-header with-border">
        <h3 class="box-title"><strong>Etape 4</strong> : Compléter l'alignement du thésaurus</h3>
        <!-- /.box-tools -->
    </div>
    <div class="box-body p-0">
        <table class="table m-0">
            <thead>
            <tr>
                <th>Valeur</th>
                <th>Occurences</th>
                <th style="width: 40%">Correspondance</th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="(value, count) in stats.types">
                <td class="wrap-break-word">{{ value }}</td>
                <td>{{ count }}</td>
                <td>
                    <selectize config='typeSelectize.config' options='typeSelectize.options' ng-model="data.corresps[value]" ng-disabled="isDisabled(value)"></selectize>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="box-footer">
        <a class="btn btn-default" ui-sref="wizard.step2">Etape précédente</a>
        <button type="submit" class="btn btn-primary pull-right" ng-class="{disabled: form.$invalid}">Commencer l'alignement</button>
    </div>
</form>